Bug 1266453 - RFE: allow to set number of inodes for tmpfs plugin
RFE: allow to set number of inodes for tmpfs plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
: 1277509 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 06:38 EDT by Miroslav Suchý
Modified: 2016-01-03 18:26 EST (History)
7 users (show)

See Also:
Fixed In Version: mock-1.2.14-1.fc23 mock-1.2.14-1.el6 mock-1.2.14-1.fc22 mock-1.2.14-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-27 13:21:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2015-09-25 06:38:14 EDT
Description of problem:
Original report:
https://fedorahosted.org/fedora-infrastructure/ticket/4834#comment

When you are using tmpfs plugin, it will create tmpfs mount. It does not set number of inodes, so `mount` use defaults (half of RAM pages). On Intel platform the defaults are sane. However on PPC64LE there is 16 times bigger RAM pages, therefore the number of inodes is 16 times smaller. Which is very often not enough.

`mount` have option `nr_inodes`, but there is no way how to set it in current mock code.
It would be nice to have such option for tmpfs plugin to specify number of inodes.
Comment 1 Miroslav Suchý 2015-09-29 03:10:49 EDT
Fixed in commit:
* de710c5 (origin/devel) create tmpfs with unlimited inodes [RHBZ#1266453]
Comment 2 Miroslav Suchý 2015-11-04 09:23:01 EST
*** Bug 1277509 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2015-11-24 18:31:47 EST
mock-1.2.14-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a295f19cae
Comment 4 Fedora Update System 2015-11-24 18:31:50 EST
mock-1.2.14-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d1cc55330
Comment 5 Fedora Update System 2015-11-24 18:32:19 EST
mock-1.2.14-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4d491366d
Comment 6 Fedora Update System 2015-11-24 18:32:21 EST
mock-1.2.14-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd9c932e3a
Comment 7 Fedora Update System 2015-11-24 18:32:52 EST
mock-1.2.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ef940024e
Comment 8 Fedora Update System 2015-11-25 19:51:10 EST
mock-1.2.14-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd9c932e3a
Comment 9 Fedora Update System 2015-11-25 19:53:14 EST
mock-1.2.14-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a295f19cae
Comment 10 Fedora Update System 2015-11-25 20:21:58 EST
mock-1.2.14-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4d491366d
Comment 11 Fedora Update System 2015-11-25 21:25:32 EST
mock-1.2.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ef940024e
Comment 12 Fedora Update System 2015-11-25 21:54:29 EST
mock-1.2.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d1cc55330
Comment 13 Fedora Update System 2015-11-27 13:20:35 EST
mock-1.2.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-01-03 15:26:20 EST
mock-1.2.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-01-03 16:20:09 EST
mock-1.2.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-01-03 18:26:06 EST
mock-1.2.14-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.